Rated 4 out of 5 stars

This Add-on is exactly what I needed.
Sadly it is not supported in current FF versions (6 at the moment).
So I got me a FF legacy version "Mozilla Firefox, Portable Edition 3.6.20 (Legacy Edition)" from http://portableapps.com/news/2011-07-16_-_firefox_portable_3.6.20_released
I had to download the xpi. Rename to zip. Then edit the install.rdf <em:maxVersion>3.6.*</em:maxVersion>
repack the zip file, rename to .xpi and the install it